# Update a contact PATCH https://api.synthflow.ai/v2/contacts/{contact_id} Content-Type: application/json Reference: https://docs.synthflow.ai/api-reference/platform-api/contacts/update-a-contact ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: Synthflow APIs version: 1.0.0 paths: /contacts/{contact_id}: patch: operationId: update-a-contact summary: Update a contact description: '' tags: - subpackage_contacts parameters: - name: contact_id in: path description: The contact's ID. required: true schema: type: string - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: '200' content: application/json: schema: $ref: '#/components/schemas/Contacts_update-a-contact_Response_200' requestBody: content: application/json: schema: type: object properties: name: type: string description: The contact's name. phone_number: type: string description: The contact's phone number. email: type: string description: The contact's email. contact_metadata: $ref: >- #/components/schemas/ContactsContactIdPatchRequestBodyContentApplicationJsonSchemaContactMetadata servers: - url: https://api.synthflow.ai/v2 - url: https://api.us.synthflow.ai/v2 components: schemas: ContactsContactIdPatchRequestBodyContentApplicationJsonSchemaContactMetadata: type: object properties: {} title: >- ContactsContactIdPatchRequestBodyContentApplicationJsonSchemaContactMetadata Contacts_update-a-contact_Response_200: type: object properties: status: type: string title: Contacts_update-a-contact_Response_200 securitySchemes: sec0: type: http scheme: bearer ``` ## SDK Code Examples ```python import requests url = "https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786" payload = { "name": "John Smith", "phone_number": "+12025559999", "email": "john.smith@example.com" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786" payload := strings.NewReader("{\n \"name\": \"John Smith\",\n \"phone_number\": \"+12025559999\",\n \"email\": \"john.smith@example.com\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"John Smith\",\n \"phone_number\": \"+12025559999\",\n \"email\": \"john.smith@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"John Smith\",\n \"phone_number\": \"+12025559999\",\n \"email\": \"john.smith@example.com\"\n}") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"John Smith\",\n \"phone_number\": \"+12025559999\",\n \"email\": \"john.smith@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "John Smith", "phone_number": "+12025559999", "email": "john.smith@example.com" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/contacts/9ad09ad3-9c22-441e-ae35-c05016a09786")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```